<?php 

class Rontar_DynamicRetargeting_Helper_Data extends Mage_Core_Helper_Abstract 
{
	public function GetEnabled(){
		return Mage::getStoreConfig('dynamicretargeting/snippets/enabled', Mage::app()->getStore());
	}
	
	public function GetAdvertiserId(){
		$advertiserId = Mage::getStoreConfig('dynamicretargeting/snippets/advertiser_id', Mage::app()->getStore());
		if($advertiserId != ''){
			return $advertiserId;
		}
		return false;
	}
	
	public function GetProductFeedId(){
		$productFeedId = Mage::getStoreConfig('dynamicretargeting/snippets/productfeed_id', Mage::app()->getStore());
		if($productFeedId != ''){
			return $productFeedId;
		}
		return false;
	}	
	
	public function GetAudienceId(){
		$audienceId = Mage::getStoreConfig('dynamicretargeting/snippets/audience_id', Mage::app()->getStore());
		if($audienceId != ''){
			return $audienceId;
		}
		return false;
	}
	
	public function GetTopProductIds($products)
	{
		$ids = "";
		$number = 0;
		foreach($products as $product)
		{
			if ($this->IsProductAvailable($product))
			{
				if ($number > 0)
					$ids = $ids.",";
				$ids = $ids.$product->getId();
					
				$number++;
				if ($number >= 10)
					break;
			}
		}
		
		return $ids;
	}
	
	public function GetCartProductIds()
	{
		$cart = Mage::getModel('checkout/cart')->getQuote();
		
		$ids = "";
		$number = 0;
		foreach ($cart->getAllItems() as $item) 
		{
			$productId = $item->getProduct()->getId();

			if ($number > 0)
				$ids = $ids.",";
			$ids = $ids.$productId;
				
			$number++;
		}
		
		return $ids;
	}
	
	public function GetOrderProductIds()
	{
		$order = Mage::getSingleton('sales/order'); 
		$order->loadByIncrementId(Mage::getSingleton('checkout/session')->getLastRealOrderId());
		
		$ids = "";
		$number = 0;
		foreach ($order->getAllItems() as $item) 
		{
			$productId = $item->getProduct()->getId();

			if ($number > 0)
				$ids = $ids.",";
			$ids = $ids.$productId;
				
			$number++;
		}
		
		return $ids;
	}
	
	public function IsProductAvailable($product)
	{
		if ($product->getStatus() != Mage_Catalog_Model_Product_Status::STATUS_ENABLED)
			return false;
		
		$stock = Mage::getModel('cataloginventory/stock_item')->loadByProduct($product);
		return ($stock->getIsInStock() && $stock->getQty() > 0);
	}
	
} 
